/**
 * 部门查询参数
 */
export interface DeptQuery {
  deptName?: string;
  flag?: string;
}

/**
 * 部门类型
 */
export interface DeptVO {
  /**
   * 子部门
   */
  children?: DeptVO[];
  /**
   * 创建时间
   */
  createTime?: Date;
  /**
   * 部门ID
   */
  id?: number;
  /**
   * 部门名称
   */
  name?: string;
  /**
   * 父部门ID
   */
  parentId?: number;
  /**
   * 排序
   */
  sort?: number;
  /**
   * 状态(1:启用；0:禁用)
   */
  status?: number;
  /**
   * 修改时间
   */
  updateTime?: Date;
}

/**
 * 部门表单类型
 */
export interface DeptForm {
  /**
   * 部门ID(新增不填)
   */
  businessId?: number | undefined;
  /**
   * 部门名称
   */
  deptName?: string;
  /**
   * 父部门ID
   */
  parentId: number | undefined;
  /**
   * 排序
   */
  orderNum?: number;
  /**
   * 负责人
   */
  leader?: string;
  /**
   * 手机号
   */
  phone?: string;
  /**
   * 邮箱
   */
  email?: string;
  /**
   * 状态(1:启用；0：禁用)
   */
  flag?: string;
}
