import { MenuTypeEnum } from "@/enums/MenuTypeEnum";

/**
 * 菜单查询参数类型
 */
export interface MenuQuery {
  menuName?: string;
}

/**
 * 菜单视图对象类型
 */
export interface MenuVO {
  /**
   * id
   */
  businessId?: number;
  /**
   * 子菜单
   */
  children?: MenuVO[];
  /**
   * 组件路径
   */
  component?: string;
  /**
   * 菜单名称
   */
  menuName?: string;
  /**
   * ICON
   */
  icon?: string;
  /**
   * 排序
   */
  orderNum?: number;
  /**
   * 权限标识
   */
  perms?: string;
  /**
   * 创建时间
   */
  createDate?: Date;
}

/**
 * 菜单表单对象类型
 */
export interface MenuForm {
  /**
   * 菜单ID
   */
  businessId?: number;
  /**
   * 父菜单ID
   */
  parentId: number;
  /**
   * 菜单类型
   */
  menuType: MenuTypeEnum;
  /**
   * 菜单图标
   */
  icon?: string;
  /**
   * 菜单名称
   */
  menuName?: string;
  /**
   * 菜单排序
   */
  orderNum?: number;
  /**
   * 权限标识
   */
  perms?: string;
  /**
   * 是否外链
   */
  isFrame: string;
  /**
   * 是工作流
   */
  isProcess: string;
  /**
   * 显示状态
   */
  visible: string;
  isSee?: string;
  /**
   * 菜单状态
   */
  flag: string;
  /**
   * 路由地址
   */
  path?: string;
  /**
   * 工作流
   */
  processId?: number;
  /**
   * 组件路径
   */
  component?: string;
}
