import request from "@/utils/request";
import Qs from "qs";
/**
 * 1.查询异常日志列表
 * 2.删除异常日志
 * 3.清空异常日志
 * 4.导出异常日志
 * */
// 查询异常日志列表
export function list(query) {
    return request({
        url: "/monitor/errorLog/queryErrorLogListByPagination",
        method: "get",
        params: query,
    });
}
// 删除异常日志
export function delErrLog(data) {
    data = Qs.stringify(data);
    return request({
        url: "/monitor/errorLog/delete",
        method: "post",
        data: data,
    });
}
// 清空异常日志
export function cleanErrLog(query) {
    return request({
        url: "/monitor/errorLog/clean",
        method: "delete",
        params: query,
    });
}
// 导出异常日志
export function exportErrLog(query) {
    return request({
        url: "/monitor/errorLog/export",
        method: "get",
        params: query,
        responseType: "blob",
    });
}
//# sourceMappingURL=errorLog.js.map