/**
 * 角色查询参数
 */
export interface RoleQuery extends PageQuery {
  /**
   * 角色名称
   */
  roleName?: string;
  /**
   * 权限字符
   */
  roleKey?: string;
  /**
   * 角色状态
   */
  flag?: string;
}
/**
 * 数据权限信息参数
 */
export interface permForm {
  /**
   * 角色名称
   */
  roleName?: string;
  /**
   * 菜单名称
   */
  menuName?: string;
  /**
   * 权限范围
   */
  dataScope?: string;
}
/**
 * 角色分页对象
 */
export interface RolePageVO {
  /**
   * 角色ID
   */
  businessId?: number;
  /**
   * 名称
   */
  roleName?: string;
  /**
   * 权限字符
   */
  roleKey?: string;
  /**
   * 显示顺序
   */
  roleSort?: number;
  /**
   * 状态
   */
  flag?: string;
  /**
   * 创建时间
   */
  createDate?: Date;
}

/**
 * 角色分页
 */
export type RolePageResult = PageResult<RolePageVO[]>;

/**
 * 角色表单对象
 */
export interface RoleForm {
  /**
   * 角色ID
   */
  businessId?: number | undefined;
  /**
   * 名称
   */
  roleName?: string;
  /**
   * 权限字符
   */
  roleKey?: string;
  /**
   * 排序
   */
  roleSort?: number;
  /**
   * 排序
   */
  flag?: string;
  /**
   * 排序
   */
  menuIds?: number[];
  /**
   * 备注
   */
  remarks?: string;
}
