import { defineStore } from "pinia";

export const useSearchParamsStore = defineStore("searchParams", () => {
  const searchParams = ref<object>({});
  function setSearchParams(config: any) {
    if (!config || typeof config !== "object") {
      return;
    }
    if (!config.path) {
      return;
    }
    SET_SEARCH_PARAMS(config);
  }
  function SET_SEARCH_PARAMS(config: any) {
    if (!config || typeof config !== "object") {
      return;
    }
    if (!config.path) {
      return;
    }
    if (
      config.param &&
      typeof config.param === "object" &&
      Object.keys(config.param).length > 0
    ) {
      searchParams[config.path] = JSON.stringify(config.param);
    } else {
      delete searchParams[config.path];
    }
  }
  return {
    searchParams,
    setSearchParams,
  };
});
