const TokenKey = "token";
const emailKey = "email";

export function getToken(): string | null {
  return localStorage.getItem(TokenKey) || sessionStorage.getItem(TokenKey);
}

export function setToken(token: string) {
  return localStorage.setItem(TokenKey, token);
}

export function removeToken(): void {
  localStorage.removeItem(TokenKey);
  sessionStorage.removeItem(TokenKey);
}

export function getEmail() {
  return localStorage.getItem(emailKey) || sessionStorage.getItem(emailKey);
}

export function setEmail(email: string) {
  return localStorage.setItem(emailKey, email);
}

export function removeEmail(): void {
  localStorage.removeItem(emailKey);
  sessionStorage.removeItem(emailKey);
}
